# application_configuration.h File Reference

public methods for application_configuration.c More...

## Data Structures
struct | applicationConfiguration
## Defines
#define | DEFAULT_ENDPOINT 0xD7
#define | DEFAULT_PROFILE_ID 0xD7D7
#define | DEVICE_ID 0x4567
#define | DEVICE_VERSION 0x89
#define | LATENCY_NORMAL 0
#define | LATENCY_FAST_BEACONS 1
#define | LATENCY_SLOW_BEACONS 2
#define | MAX_BINDING_CLUSTERS 32
## Functions
struct applicationConfiguration | getApplicationConfigurationForCoordinator ()
struct applicationConfiguration | getApplicationConfigurationForRouter ()
void | printApplicationConfiguration (struct applicationConfiguration ac)

## Detailed Description

public methods for application_configuration.c

Rev
  547

Author
  dsmith

Date
  2010-05-27 17:11:30 -0700 (Thu, 27 May 2010)

YOU ACKNOWLEDGE AND AGREE THAT THE SOFTWARE AND DOCUMENTATION ARE PROVIDED “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE. IN NO EVENT SHALL TEXAS INSTRUMENTS OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.

## Define Documentation

#define MAX_BINDING_CLUSTERS 32

Maximum number of clusters available for binding

## Function Documentation

struct applicationConfiguration getApplicationConfigurationForCoordinator | ( |  | ) | `[read]`

Creates an application configuration for a Coordinator. Modify the values in this for your application.

Returns:
  the applicationConfiguration for a router

See also:
  applicationConfiguration

struct applicationConfiguration getApplicationConfigurationForRouter | ( |  | ) | `[read]`

Creates an application configuration for a Router. Modify the values in this for your application.

Returns:
  the applicationConfiguration for a router

See also:
  applicationConfiguration

void printApplicationConfiguration | ( | struct applicationConfiguration | ac | ) |

Displays the applicationConfiguration in a human readable format

Parameters:

  | ac | the applicationConfiguration to print

See also:
  applicationConfiguration

All Data Structures Files Functions Variables Defines